Web Home
Getting Started
Manual
Quick Reference
Language Reference
Function Reference
I/O Reference

Language Reference Function Reference I/O Reference Opening and Closing Text Files Reading Text Writing Text Positioning a Text File Opening and Closing Binary Files Saving and Restoring Variables Reading History Records Writing History Records Opening Non-PDB Files Making Plots Plot Paging and Hardcopy Setting Plot Limits Managing Graphics Windows Graphics Query, Edit, and Defaults | # Yorick I/O Reference ## Setting Plot Limits `logxy, xflag, yflag` set log or linear axis scaling `limits, xmin, xmax, ymin, ymax` set plot limits `limits, xmin, xmax` set plot x-limits `range, ymin, ymax` set plot y-limits `l = limits()` save current plot limits in l `limits, l` restore plot limits saved in l The four plot limits can be numbers to fix them at specific values, or the string `"e"` to specify extreme values. The `limits` command accepts the keywords `square`, `nice`, and `restrict`, which control how extreme values are computed. Plot limits may also be set by point-and-click in the X window. The left button zooms in, middle button pans, and right button zooms out. Refer `help` on `limits` for details.